Tool: get_changelog
Gets details of the specified changelog.
The following sample demonstrate how to use curl to invoke the get_changelog MCP tool.
| Curl Request |
|---|
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_changelog", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for AgentService.GetChangelog.
GetChangelogRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The resource name of the changelog to retrieve. |
Output Schema
Changelogs represent a change made to the app or to an resource within the app.
Changelog
| JSON representation |
|---|
{ "name": string, "author": string, "displayName": string, "description": string, "resource": string, "resourceType": string, "action": string, "originalResource": { object }, "newResource": { object }, "dependentResources": [ { object } ], "createTime": string, "sequenceNumber": string } |
| Fields | |
|---|---|
name |
Identifier. The unique identifier of the changelog. Format: |
author |
Output only. Email address of the change author. |
displayName |
Output only. Display name of the change. It typically should be the display name of the resource that was changed. |
description |
Output only. Description of the change. which typically captures the changed fields in the resource. |
resource |
Output only. The resource that was changed. |
resourceType |
Output only. The type of the resource that was changed. |
action |
Output only. The action that was performed on the resource. |
originalResource |
Output only. The original resource before the change. |
newResource |
Output only. The new resource after the change. |
dependentResources[] |
Output only. The dependent resources that were changed. |
createTime |
Output only. The time when the change was made. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
sequenceNumber |
Output only. The monotonically increasing sequence number of the changelog. |
Struct
| JSON representation |
|---|
{ "fields": { string: value, ... } } |
| Fields | |
|---|---|
fields |
Unordered map of dynamically typed values. An object containing a list of |
FieldsEntry
| JSON representation |
|---|
{ "key": string, "value": value } |
| Fields | |
|---|---|
key |
|
value |
|
Value
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field kind. The kind of value. kind can be only one of the following: |
|
nullValue |
Represents a null value. |
numberValue |
Represents a double value. |
stringValue |
Represents a string value. |
boolValue |
Represents a boolean value. |
structValue |
Represents a structured value. |
listValue |
Represents a repeated |
ListValue
| JSON representation |
|---|
{ "values": [ value ] } |
| Fields | |
|---|---|
values[] |
Repeated field of dynamically typed values. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌